
/* RAND.CPP: This program seeds the random-number generator
 * with the time, then displays 10 random integers.
 */

#include <stdlib.h>
#include <stdio.h>
#include <time.h>

void main( int argc, char **argv )
{
   int i;
   int num = 10;  // default is 10

   // Seed the random-number generator with current time so that
   // the numbers will be different every time we run.
   //
   srand( (unsigned)time( NULL ) );

   // fprintf(stderr, "argc==%d argv[1]=%s\n", argc, argv[0]);
   if (argc > 1) {
		sscanf(argv[1], "%d", &num);
        fprintf(stderr, "Generating %d Random numbers\n", num);
   }

   // Display 10 numbers.
   printf("%d\n", num);
   for( i = 0;   i < num ;i++ ) {
      	printf( " %6d\n", rand() );
	}
	
}
